Last Comment Bug 622883 - Input fields missing in non en-US locales
: Input fields missing in non en-US locales
Status: VERIFIED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Developer Pages (show other bugs)
: 4.x
: All All
: -- major
: 5.12.6
Assigned To: Potch [:potch]
:
Mentors:
https://addons.allizom.org/z/fr/devel...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-04 10:49 PST by krupa raj[:krupa]
Modified: 2016-02-04 14:49 PST (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
screenshot of /edit page (178.86 KB, image/png)
2011-01-04 10:49 PST, krupa raj[:krupa]
no flags Details
screenshot of /ownership page (269.97 KB, image/png)
2011-01-04 10:49 PST, krupa raj[:krupa]
no flags Details
screenshot (198.90 KB, image/png)
2011-01-06 17:38 PST, krupa raj[:krupa]
no flags Details

Description krupa raj[:krupa] 2011-01-04 10:49:34 PST
Created attachment 501062 [details]
screenshot of /edit page

Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2.13) Gecko/20101203 Firefox/3.6.13

steps to reproduce:
1. Load https://addons.allizom.org/z/fr/developers/addon/jebfhjbvefjbv/edit
2. Click edit for "Détails techniques" and "Informations de support" sections

observed behavior:
Input fields are missing on /edit, /ownership, /payments and manage versions page for non en-US locales. See screenshots
Comment 1 krupa raj[:krupa] 2011-01-04 10:49:59 PST
Created attachment 501063 [details]
screenshot of /ownership page
Comment 2 krupa raj[:krupa] 2011-01-04 13:58:31 PST
This also blocks users from submitting an add-on in a non en-US locale. See https://addons.allizom.org/z/en-US/developers/addon/amplify-test-addon-20110103/submit/3
Comment 3 Potch [:potch] 2011-01-04 16:07:59 PST
What needs to happen is:

When the widget set is generated, ensure that a blank widget for the add-on's default locale is created even if the default locale does not possess a value.
Comment 4 Jeff Balogh (:jbalogh) 2011-01-04 17:56:37 PST
Your patch is in the mail.
Comment 5 Potch [:potch] 2011-01-05 11:35:33 PST
http://github.com/jbalogh/zamboni/commit/0464085
Comment 6 krupa raj[:krupa] 2011-01-06 17:38:22 PST
Created attachment 501883 [details]
screenshot

input field is missing for Developer comments @ https://addons.allizom.org/z/en-US/developers/addon/quickdrag123/edit in "vi" locale.
Comment 7 Potch [:potch] 2011-01-06 23:14:32 PST
sorry 'bout that.
Comment 8 Potch [:potch] 2011-01-06 23:16:04 PST
http://github.com/jbalogh/zamboni/commit/026ab34
Comment 9 krupa raj[:krupa] 2011-01-10 11:15:37 PST
verified @ https://addons.allizom.org/z/en-US/developers/addon/quickdrag123/edit

Note You need to log in before you can comment on or make changes to this bug.